Visualizza post

Questa sezione ti permette di visualizzare tutti i post inviati da questo utente. N.B: puoi vedere solo i post relativi alle aree dove hai l'accesso.


Post - emerenziano

Pagine: [1] 2 3 4
1
Pubblica Amministrazione / Re:Modulo scuola docenti alunni
« il: 31 Dic 2018, 14:13:03 »
Non è che la tua richiesta sia molto chiara. Se vuoi inserire degli utenti ed assegnare loro diversi livelli di permessi (leggere/scrivere/dove scrivere/etc.) è sufficiente il core di Joomla. Eventualmente puoi utilizzare qualche componente come Remository per avere degli spazi ove inserire o far inserire documenti, o notificare gli articoli con NotificationAry, creare un forum con Kunena, tutti componenti gratuiti.

Se hai bisogno di qualcosa simile ai registri elettronici, c'è qualche applicazione free, ma sono abbastanza basiche rispetto quelle commerciali.

2
Volevo solo far sapere che il problema sopraesposto si verificava solo con alcuni server e con la versione 3.9.1 è stato definitivamente sistemato

3
Non è facile consigliarti visto che dici solo che utilizzi PHP 7 ma non che server usi in locale (Xampp ?), se il fatto che il backend sia in inglese sia una tua scelta (se no aggiorna il file in lingua italiana) infine se usi il template di default (isis).
Io per prima cosa darei un'occhiata al file configuration.php per vedere se non vi sia rimasto qualche link alla versione locale.



4
Joomla! 3 / Re:NotificationAry
« il: 28 Nov 2018, 23:47:32 »
Stesse versioni, ma a me funziona perfettamente.

5
Salve, sto testando in locale il Privacy Tool della versione 3.90. Funziona tutto bene tranne che per un problema: se accedo al frontend come SuperUser mi appare la schermata del profilo e la richiesta di accettare la policy ed eventuali log. Faccio l'operazione e mi ritorna una pagina bianca con errore 403 (accesso negato).

Ovvio, in quanto SuperUser non può cambiare il profilo.
Però se non accetto la policy non posso fare nulla. Provo in backend, vado nel profilo e trovo la label "Opzioni Log Azioni Utenti" con tutte le possibilità di scelta e la label "Subscribe" che è vuota (infatti la funzione è spostata nella label precedente).

Altro non ho trovato, quindi non posso accettare la policy nemmeno da backend.
Se accedo in frontend con utente non amministrativo tutto funziona perfettamente e posso accettare la policy.

Al momento l'unico modo di sbloccare la situazione che ho trovato è quello di entrare in backend con un utente SuperUser, levare un altro dal gruppo, accedere in frontend con questo, accettare la policy, e dall'altro rimetterlo nel gruppo.
Qualcuno ha provato il Privacy Tool per capire se è un baco o un mio problema o se vi è altro modo di fare ?
Grazie

6
Leggi la discussione precedente: anche a me è capitato lo stesso ed ho risolto riparando ed ottimizzando le tabelle con Phpmyadmin.

7
In effetti avevo pensato anche io ad un errore in una tabella ed avevo provato col tool di Joomla ma non era bastato. Ora ho provato con ripara ed ottimizza tabelle di Phpmyadmin e l'aggiornamento ha dato esito positivo.

8
Salve, sto provando in locale (XAMPP) l'aggiornamento di un mio sito attualmente in v.3.8.13.Premetto di aver già effettuato aggiornamento alla 3.9.0 RC senza problemi, nello stesso ambiente.Provando con la versione definitiva, con aggiornamento online sempre dalla 3.8.13,, mi appare il messaggio di errore dello screenshot allegato.

Il sito risulta aggiornato, funziona, ma non ci sono i plugin relativi alla privacy, come erano nella RC.

   PHP: 5.6.36                      MySQLi: 5.5.5-10.1.31-MariaDB
Consigli ? Grazie.
 

9
Pubblica Amministrazione / Re:templates per scuola
« il: 11 Ago 2018, 21:28:37 »
PASW è un progetto per sito scolastico basato sul template Zhong (ma ce ne è anche uno basato sul template FAP). Il secondo, ItaliaPA, ancora in fase di sviluppo, dovrebbe rispettare le linee guida per i siti della pubblica amministrazione. In queste linee guida non sono previsti comandi per aumentare o diminuire i caratteri in quanto è possibile farlo direttamente da browser.


10
Prova ad installare Admin Tools free e fai il "fix permissions"; dopo di che prova di nuovo ad aggiornare. A me qualche volta l'errore Ajax è così sparito e l'aggiornamento è andato a buon fine. Recentemente ho aggiornato un sito da 3.6.5 a 3.8.11 senza problemi. Ovviamente facendo prima un dovuto backup.

11
Joomla! 3 / Re:PRoblema amminstrazione
« il: 11 Ago 2018, 21:14:58 »
Magari se dai qualche info in più, ad esempio la versione di Joomla, se è un sito attivo o di prova, se il frontend si vede normalmente, se è accaduto dopo l'aggiornamento, se dopo l'installazione di qualche componente, su che server sei, versione di PHP... Forse così è più semplice cercare di aiutarti.

12
nella cartella installation\sql

13
Joomla! 3 / Video Youtube in Iframe
« il: 26 Nov 2017, 19:35:57 »
Salve, sto cercando di inserire un video Youtube in un articolo utilizzando un iframe. Joomla è 3.82, utilizzo JCE aggiornato con la configurazione corretta per gli iframe (riportata anche in una discussione qui). Inserisco il codice preso da Youtube nella finestra "codice" di JCE, passo alla "preview" e il video si vede perfettamente, pubblico e... non si vede nulla.
Il mio sito è in https:// ma lo è anche il link di Youtube, quindi non dovrebbe essere bloccato.
Nella configurazione server ho impostato "Forza HTTPS a tutto il sito".

Suggerimenti ? Eventuale plugin funzionante che consenta di fare lo stesso ?
Grazie.

14
Dovrebbe trattarsi di una versione obsoleta della libreria cURL <7.18.1 che non supporta il Server Name Indication (SNI) necessario per l'accesso sicuro. Nel forum internazionale la cosa  è ampiamente discussa e viene sconsigliato di procedere manualmente all'aggiornamento pena il non funzionamento di Joomla. Leggi qui.

15
Installazione, migrazione e aggiornamento / Re:file phi.ini
« il: 04 Nov 2017, 16:06:48 »
Di solito php.ini sta nella cartella PHP, dentro quella XAMPP, insieme ad un paio di file di esempio. Però non è che fosse complicato trovarlo. ::) ::) ::)

16
.... I bug ci saranno sempre e gli aggiornamenti saranno inevitabili, o cambiate mestiere o cms o date una mano anche voi.  :)
Il I problema l'ho risolto, anche se non era documentato nei docs di MRBS. Il II essendo un componente esterno penso sia compito, ovviamente se vuole farlo, del programmatore ( ed ha scritto che vedrà tra un paio di giorni cosa può fare), ed il III l'ho pure risolto semplicemente modificando una cosa nel CSS.

Di solito non chiedo aiuto se prima non ho provato a risolvere il problema. Anzi in qualche mio intervento dei mesi o anni scorsi c'è scritto [RISOLTO] proprio perchè dopo un po' ho trovato la soluzione da solo e l'ho condivisa.

Non cambio mestiere per il semplice fatto che non sono soltanto un insegnante che si occupa del sito web della sua scuola e che tra meno di 200 giorni andrà in pensione e così non avrà più da preoccuparsi di aggiornamenti.

Io ho solo voluto rappresentare le difficoltà che ci sono ogni volta che esce un aggiornamento, con problemi che escono fuori magari dopo giorni, in condizioni particolari, quando uno ha aggiornato il sito di produzione. E dal numero di interventi che segnalano problemi, direi che questo aggiornamento non è stato dei più felici.

Con viva cordialità.

17
Appena annunciato l'aggiornamento lo installo nel sito di prova. Apparentemente tutto bene, tutto sembra funzionare lato backend. Apparentemente... ma i problemi erano in agguato e ben nascosti.

Problema n.1: l'autenticazione Joomla di MRBS, applicazione che uso per la prenotazione dei laboratori, non va e restituisce una pagina bianca. Soluzione, trovata quasi casualmente: bisogna indicare non più il nome del livello di accesso ma il suo ID.
Problema n.2: NotificationAry non funziona più, nel senso che non invia le email. Il log mi dice che l'utente Joomla\user\user non è abilitato all'invio. Soluzione: nessuna, interpellato il programmatore.
Problema n.3: un bel template di Kunena che usavo da tempo risulta in parte sballato. Soluzione: rimettere il template di base che non mi piace proprio.

Visto che 3.7.5 funziona alla grande sul sito in produzione se non verranno risolti i problemi 2 e 3 non aggiornerò.

Ma è possibile che ad ogni aggiornamento di Joomla ci sia da sudare e toccare ferro ?

Saluti e buon lavoro.

18
Io proverei a disabilitare il firewall di Windows 10 ed eventuali antivirus. Se così vai puoi cercare di risalire al problema riattivando prima l'antivirus, provando, poi passo a passo il firewall. Per caso hai Skype attivo ? Se sì può creare un conflitto di porte; eventualmente chiudilo.

19
Trovato il problema partendo da un backup di un mese fa. Non dipende dall'aggiornamento di Joomla ma da un componente: CoalaWeb Traffic Core che aggiornandosi dalla versione 1.1.0 alla versione 1.1.1 magicamente trasforma i "Si" dei vari pulsanti in "Yes". Disinstallando il componente ritorna "Si".

Essendo un componente che mi è utile lo lascerò, sperando che in una delle prossime versioni il problema sia risolto.

PS: il template che usio è FAP lato frontend e ISIS lato backend: la schermata che avevo messo è quella dell'impostazione SEO della Configurazione globale. Come si vede dallo screnshot ora è di nuovo in italiano.

PS2: ho installato la versione 1.1.0 sopra la 1.1.1 e tutto è tornato normale, mantenendo anche i dati già presenti. Evidentemente nell'aggiornamento c'è qualcosa che non va.

Grazie e saluti

UPDATE: il programmatore di CoalaWeb Traffic Core ha riconosciuto il problema che verrà sistemato con la prossima versione.

20
Allego una schermata di JCE ed una del pannello di controllo. Come si vede sia i menu dropdown che i pulsanti dove dovrebbe esserci SI e NO ora presentano YES e NO. Tutte le altre voci sono in italiano.

Pagine: [1] 2 3 4
Host

Torna su